> For the complete documentation index, see [llms.txt](https://docs.watchdata.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.watchdata.io/blockchain-apis/tron-api/accounts/createaccount.md).

# CreateAccount

**Return**: Transaction object

{% hint style="info" %}
**Note**

The expiration time of the http api creation transaction is 1 minute, so to complete the on-chain, you need to complete gettransactionsign and broadcasttransaction within 1 minute after the creation.
{% endhint %}

**Body params**:

* `owner_address` - Owner\_address is an activated account，converted to a hex String.If the owner\_address has enough bandwidth obtained by freezing TRX, then creating an account will only consume bandwidth , otherwise, 0.1 TRX will be burned to pay for bandwidth, and at the same time, 1 TRX will be required to be created.
* `account_address` - account\_address is the address of the new account, converted to a hex string, this address needs to be calculated in advance
* `visible` - Optional,whether the address is in base58 format
* `permission_id` - Optional,for multi-signature use

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/createaccount \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "owner_address": "41d1e7a6bc354106cb410e65ff8b181c600ff14292",
     "account_address": "41e552f6487585c2b58bc2c9bb4492bc1f17132cd0"
}
'
```

**Response**

```
{
  "Error": "class org.tron.core.exception.ContractValidateException : Account has existed"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/accounts/createaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
